Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class TextDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription
                        |
                        +--quicktime.std.movies.media.TextDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TextDescription
extends SampleDescription

This class maps the TextDescription record of the MovieToolbox. TextDescription are used when adding and getting media samples to/from Text tracks.

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`TextDescription()` This constructor makes a new TextDescription object.

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`QDColor` | `getBackgroundColor()`
`java.lang.String` | `getDefaultFontName()`
`ScrpSTElement` | `getDefaultStyle()` Get the default style.
`QDRect` | `getDefaultTextBox()`
`int` | `getDisplayFlags()`
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`int` | `getTextJustification()`
`void` | `setBackgroundColor(QDColor bgColor)`
`void` | `setDefaultFontName(java.lang.String fName)`
`void` | `setDefaultStyle(ScrpSTElement style)` Set the default style.
`void` | `setDefaultTextBox(QDRect textBox)`
`void` | `setDisplayFlags(int flags)`
`void` | `setTextJustification(int just)`

Methods inherited from class quicktime.std.movies.media.SampleDescription
`fromMovieImporter, getDataFormat, getDataRefIndex, getSize, setDataFormat, setDataRefIndex, setSize, toString`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### TextDescription

    public TextDescription()
                    throws QTException

  This constructor makes a new TextDescription object.

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.
  Overrides:
    `clone` in class `SampleDescription`

### setDefaultStyle

    public void setDefaultStyle(ScrpSTElement style)

  Set the default style.
  Parameters:
    `style` - the new default style.

### getDefaultStyle

    public ScrpSTElement getDefaultStyle()

  Get the default style.
  Returns:
    the default style.

### setDisplayFlags

    public void setDisplayFlags(int flags)

### getDisplayFlags

    public int getDisplayFlags()

### setTextJustification

    public void setTextJustification(int just)

### getTextJustification

    public int getTextJustification()

### setBackgroundColor

    public void setBackgroundColor(QDColor bgColor)

### getBackgroundColor

    public QDColor getBackgroundColor()

### setDefaultTextBox

    public void setDefaultTextBox(QDRect textBox)

### getDefaultTextBox

    public QDRect getDefaultTextBox()

### setDefaultFontName

    public void setDefaultFontName(java.lang.String fName)
                            throws QTException

### getDefaultFontName

    public java.lang.String getDefaultFontName()
                                        throws QTException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD